# eric4.PluginManager.PluginUninstallDialog

Module implementing a dialog for plugin deinstallation.

### Global Attributes

None

### Classes

PluginUninstallDialog | Class for the dialog variant.
PluginUninstallWidget | Class implementing a dialog for plugin deinstallation.
PluginUninstallWindow | Main window class for the standalone dialog.

### Functions

None

## PluginUninstallDialog

Class for the dialog variant.

### Derived from

QDialog

### Class Attributes

None

### Class Methods

None

### Methods

PluginUninstallDialog | Constructor

### Static Methods

None

#### PluginUninstallDialog (Constructor)

PluginUninstallDialog(pluginManager, parent = None)

Constructor

pluginManager
  reference to the plugin manager object
parent
  reference to the parent widget (QWidget)

Up

## PluginUninstallWidget

Class implementing a dialog for plugin deinstallation.

### Derived from

QWidget, Ui_PluginUninstallDialog

### Class Attributes

None

### Class Methods

None

### Methods

PluginUninstallWidget | Constructor
__uninstallPlugin | Private slot to uninstall the selected plugin.
on_buttonBox_accepted | Private slot to handle the accepted signal of the button box.
on_pluginDirectoryCombo_currentIndexChanged | Private slot to populate the plugin name combo upon a change of the plugin area.

### Static Methods

None

#### PluginUninstallWidget (Constructor)

PluginUninstallWidget(pluginManager, parent = None)

Constructor

pluginManager
  reference to the plugin manager object
parent
  parent of this dialog (QWidget)

#### PluginUninstallWidget.__uninstallPlugin

__uninstallPlugin()

Private slot to uninstall the selected plugin.

Returns:
  flag indicating success (boolean)

#### PluginUninstallWidget.on_buttonBox_accepted

on_buttonBox_accepted()

Private slot to handle the accepted signal of the button box.

#### PluginUninstallWidget.on_pluginDirectoryCombo_currentIndexChanged

on_pluginDirectoryCombo_currentIndexChanged(index)

Private slot to populate the plugin name combo upon a change of the plugin area.

index
  index of the selected item (integer)

Up

## PluginUninstallWindow

Main window class for the standalone dialog.

### Derived from

KQMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

PluginUninstallWindow | Constructor

### Static Methods

None

#### PluginUninstallWindow (Constructor)

PluginUninstallWindow(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

Up